# twirl.cpp File Reference

Implementation of the "Twirl" layer. More...

`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/transform.h>`
`#include "twirl.h"`

## Functions

| SYNFIG_LAYER_INIT (Twirl)
| SYNFIG_LAYER_SET_NAME (Twirl,"twirl")
| SYNFIG_LAYER_SET_LOCAL_NAME (Twirl, N_("Twirl"))
| SYNFIG_LAYER_SET_CATEGORY (Twirl, N_("Distortions"))
| SYNFIG_LAYER_SET_VERSION (Twirl,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Twirl,"$Id$")

## Detailed Description

Implementation of the "Twirl" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | Twirl |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Twirl | ,
|  | "twirl" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Twirl | ,
|  | N_("Twirl") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Twirl | ,
|  | N_("Distortions") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Twirl | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Twirl | ,
|  | "$Id$" |  |
| ) |  |  |